## org.eclipse.amp.escape.help
Class ExecuteJavaModelAction

    java.lang.Object
      org.eclipse.amp.escape.help.ExecuteJavaModelAction

All Implemented Interfaces:
  java.lang.Runnable, org.eclipse.help.ILiveHelpAction

    public class ExecuteJavaModelAction

extends java.lang.Object
implements org.eclipse.help.ILiveHelpAction

Constructor Summary
`ExecuteJavaModelAction()`

Method Summary
`void` `run()`
`void` `setInitializationString(java.lang.String data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteJavaModelAction

    public ExecuteJavaModelAction()

Method Detail

### setInitializationString

    public void setInitializationString(java.lang.String data)

  Specified by:
    `setInitializationString` in interface `org.eclipse.help.ILiveHelpAction`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`